Is GPU necessary for deep learning (CNN)

2 views (last 30 days)
I am using [net, info] = trainNetwork(xTrain,tTrain, layers, opts);
error show: "There is a problem with the CUDA driver or with this GPU device. Be sure that you have a supported GPU and that the latest driver is installed."
Caused by: The CUDA driver could not be loaded. The library name used was 'nvcuda.dll'. The error was: The specified module could not be found.

Accepted Answer

Kojiro Saito
Kojiro Saito on 23 Aug 2018
As Release Notes of Neural Network Toolbox R2016a says, deep learning functions including trainNetwork require Parallel Computing Toolbox and a CUDA-enabled NVIDIA GPU with compute capability 3.0 or higher. From 2017a, trainNetwork is supported in CPUs, as described in this link.

More Answers (0)

Products


Release

R2016a

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!

Translated by